@rem ************************************************************************
@rem  Licensed Material - Property of IBM
@rem 
@rem  5724-M24 
@rem 
@rem  (c) Copyright IBM Corp. 2006,2007.  All rights reserved.
@rem 
@rem  US Government Users Restricted Rights - Use, duplication or
@rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem ************************************************************************

@rem ************************************************************************
@rem  Augment CEI for any existing profiles that has CEI
@rem ************************************************************************

@rem USAGE: augmentCEI.bat %WID_HOME%  
echo off
set SAVE_RC=0
if "%~1" NEQ "" goto startNow
echo USAGE: augmentCEI.bat  WID_HOME
set SAVE_RC=1
goto exitNow

:startNow
set WID_HOME=%~1
set WPS_HOME=%WID_HOME%\runtimes\bi_v6
set JAVA_HOME=%WPS_HOME%\java
java -cp ..\upgradeToolkit.jar com.ibm.wbimonitor.toolkit.upgrade.InstallUpgrader CEI
set SAVE_RC=%errorlevel%
if %SAVE_RC% NEQ 0 goto exitNow
set CURDIR=%CD%
pushd "%WPS_HOME%\CEI"
set MY_LOG="%CURDIR%\logs\augmentCEI.log"

echo Augmenting CEI ... > %MY_LOG% 2>&1
time /t >> %MY_LOG%
call .\augmentcei.bat
set SAVE_RC=%errorlevel%
echo Augmentation finished ... >> %MY_LOG% 2>&1
time /t >> %MY_LOG%
popd
echo RC=%SAVE_RC% >> %MY_LOG% 2>&1
:exitNow
exit /b %SAVE_RC%
echo on

